Bug 17936 - Search bar not aligned on right in small screen sizes
Summary: Search bar not aligned on right in small screen sizes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-01-18 22:06 UTC by Kathryn Tyree
Modified: 2017-07-26 21:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
screen shot of search bar not aligned on rhs (93.00 KB, image/png)
2017-01-18 22:06 UTC, Kathryn Tyree
Details
Bug 17936 - Search bar not aligned on right in small screen sizes (1.28 KB, patch)
2017-05-04 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes (81.55 KB, patch)
2017-05-04 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17936 - Search bar not aligned on right in small screen sizes (1.41 KB, patch)
2017-05-04 16:15 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes (81.69 KB, patch)
2017-05-04 16:16 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 17936 - Search bar not aligned on right in small screen sizes (1.47 KB, patch)
2017-05-10 15:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes (81.74 KB, patch)
2017-05-10 15:13 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kathryn Tyree 2017-01-18 22:06:17 UTC
Created attachment 59186 [details]
screen shot of search bar not aligned on rhs

When viewing the home page in a mobile-phone sized screen the search is not aligned with the items above and below it on the right hand side.
Comment 1 Owen Leonard 2017-05-04 14:35:48 UTC
Created attachment 63115 [details] [review]
Bug 17936 - Search bar not aligned on right in small screen sizes

This patch tweaks the OPAC's CSS so that the main search form's fields
have consistent width at small screen sizes.

To test, apply the patch and process the LESS files. View the OPAC main
page at a very narrow browser width and confirm that the text field
width matches that of the dropdown and button.
Comment 2 Owen Leonard 2017-05-04 14:35:51 UTC
Created attachment 63116 [details] [review]
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes

Processed and minified CSS.
Comment 3 Marc Véron 2017-05-04 16:15:46 UTC
Created attachment 63132 [details] [review]
Bug 17936 - Search bar not aligned on right in small screen sizes

This patch tweaks the OPAC's CSS so that the main search form's fields
have consistent width at small screen sizes.

To test, apply the patch and process the LESS files. View the OPAC main
page at a very narrow browser width and confirm that the text field
width matches that of the dropdown and button.

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Marc Véron 2017-05-04 16:16:37 UTC
Created attachment 63133 [details] [review]
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes

Processed and minified CSS.

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Nick Clemens 2017-05-10 15:13:47 UTC
Created attachment 63351 [details] [review]
Bug 17936 - Search bar not aligned on right in small screen sizes

This patch tweaks the OPAC's CSS so that the main search form's fields
have consistent width at small screen sizes.

To test, apply the patch and process the LESS files. View the OPAC main
page at a very narrow browser width and confirm that the text field
width matches that of the dropdown and button.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 6 Nick Clemens 2017-05-10 15:13:51 UTC
Created attachment 63352 [details] [review]
Bug 17936 [Generated CSS] Search bar not aligned on right in small screen sizes

Processed and minified CSS.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Kyle M Hall 2017-05-12 13:18:29 UTC
Pushed to master for 17.05, thanks Owen!
Comment 8 Katrin Fischer 2017-05-14 10:18:16 UTC
These patches have been pushed to 16.11.x and will be in 16.11.08.
Comment 9 Julian Maurice 2017-05-22 11:33:08 UTC
Pushed to 3.22.x for 3.22.21
Comment 10 Mason James 2017-05-24 02:40:15 UTC
Pushed to 16.05.x, for 16.05.13 release
Comment 11 Kathryn Tyree 2017-07-26 21:09:15 UTC
I never said thank you Owen, and to all - thank you! You made this pendant's day the first time I saw those fields line up on mobile!